> For the complete documentation index, see [llms.txt](https://docs.aavso.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aavso.org/account.md).

# Account

View or request obscode.

## Get obscode

> Get your obscode.

```json
{"openapi":"3.0.3","info":{"title":"API for American Association of Variable Star Observers","version":"1.0.0"},"tags":[{"name":"Account","description":"View or request obscode."}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Token-based authentication with required prefix \"Token\""}}},"paths":{"/v2/api/accounts/obscode":{"get":{"operationId":"v2_api_accounts_obscode_retrieve","description":"Get your obscode.","summary":"Get obscode","tags":["Account"],"responses":{"200":{"description":"Obscode"}}}}}}
```

## Request obscode

> Create a new obscode (required for submitting data).

```json
{"openapi":"3.0.3","info":{"title":"API for American Association of Variable Star Observers","version":"1.0.0"},"tags":[{"name":"Account","description":"View or request obscode."}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Token-based authentication with required prefix \"Token\""}}},"paths":{"/v2/api/accounts/obscode":{"post":{"operationId":"v2_api_accounts_obscode_create","description":"Create a new obscode (required for submitting data).","summary":"Request obscode","tags":["Account"],"responses":{"200":{"description":"Obscode"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.aavso.org/account.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
